#include "drawer.h"


class MinorMode
    :
    public Drawer
{
public:

	/**
	 * Constructor.
	 *
	 * @param num_flavours the number of flavours in this minor display mode
	 */
	MinorMode( int num_flavours );

	/**
	 * Called when this mninor mode becomes active
	 */
	void activate();

	/**
	 * Called when the display should change
	 */
	void next_flavour();

protected:

	/** current flavour */
	int _flavour;

	/** number of flavours */
	int _num_flavours;
	 
};
