#include "Arduino.h"
#include "drawer.h"


void Drawer::draw_reset()
{
}


void Drawer::led_on( int led, bool on )
{
	if( led < 0 || led > 9 ) return;

	// convert to pin no.
	led += 4;

	// pin 4 needs to be inverted (it's driving a PNP)
	if( led == 4 ) on = !on;

	digitalWrite( led, on? HIGH : LOW );
}
